Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_AIOCB_Asynch_Write_File Class Reference

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_AIOCB_Asynch_Write_File:

[legend]
Collaboration diagram for ACE_POSIX_AIOCB_Asynch_Write_File:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_AIOCB_Asynch_Write_File (ACE_POSIX_AIOCB_Proactor *posix_aiocb_proactor)
| Constructor. More...
int | write (ACE_Message_Block &message_block, u_long bytes_to_write, u_long offset, u_long offset_high, const void *act, int priority, int signal_number=0)
virtual | ~ACE_POSIX_AIOCB_Asynch_Write_File (void)
| Destructor. More...
int | open (ACE_Handler &handler, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor=0)
int | cancel (void)
| Not implemented. Returns 0. More...
ACE_Proactor * | proactor (void) const
| Return the underlying proactor. More...
## Private Methods
int | write (ACE_Message_Block &message_block, u_long bytes_to_write, const void *act, int priority, int signal_number=0)

## Detailed Description

This class provides concrete implementation for <ACE_Asynch_Write_File> for POSIX platforms where the completion strategy for Proactor is based on AIOCB (AIO Control Blocks).

## Constructor & Destructor Documentation

ACE_POSIX_AIOCB_Asynch_Write_File::ACE_POSIX_AIOCB_Asynch_Write_File | ( | ACE_POSIX_AIOCB_Proactor * | posix_aiocb_proactor | ) |

| Constructor.

ACE_POSIX_AIOCB_Asynch_Write_File::~ACE_POSIX_AIOCB_Asynch_Write_File | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_AIOCB_Asynch_Write_File::cancel | ( | void |  | ) |

| Not implemented. Returns 0. @ Reimplemented from ACE_POSIX_AIOCB_Asynch_Write_Stream.

int ACE_POSIX_AIOCB_Asynch_Write_File::open | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | const void * | completion_key,
|  | ACE_Proactor * | proactor = 0
| ) |

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), <ACE_Handler::handle> will be called on the <handler> to get the correct handle. Reimplemented from ACE_POSIX_AIOCB_Asynch_Write_Stream.

ACE_Proactor * ACE_POSIX_AIOCB_Asynch_Write_File::proactor | ( | void |  | ) | const

| Return the underlying proactor. Reimplemented from ACE_POSIX_AIOCB_Asynch_Write_Stream.

int ACE_POSIX_AIOCB_Asynch_Write_File::write | ( | ACE_Message_Block & | message_block,
|  | u_long | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[private]`

| This <write> belongs to ACE_POSIX_AIOCB_Asynch_Write_Stream. We have put this here to avoid compiler warnings. We forward this method call to the <ACE_POSIX_AIOCB_Asynch_Write_Stream::write> one. Reimplemented from ACE_POSIX_AIOCB_Asynch_Write_Stream.

int ACE_POSIX_AIOCB_Asynch_Write_File::write | ( | ACE_Message_Block & | message_block,
|  | u_long | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) |

| This starts off an asynchronous write. Upto <bytes_to_write> will be written and stored in the <message_block>. The write will start at <offset> from the beginning of the file.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp